org.eclipse.gef.dot.internal.ui.language.contentassist

## Class AbstractDotFontNameProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotFontNameProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  DotFontNameProposalProvider

    public class AbstractDotFontNameProposalProvider
    extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotFontNameProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_FontName(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_GRAVITY_KEY(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Gravity(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_GravityOption(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_INT(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_NAME(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_OTHER_WS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PangoFamily(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PangoFontName(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PostScriptAlias(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PostScriptFontName(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_PSALIAS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_SPACE(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_STRETCH_KEY(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Stretch(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_StretchOption(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_STYLE_KEY(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Style(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_StyleOption(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_StyleOptionsElement(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_StyleOptionString(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_VARIANT_KEY(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Variant(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_VariantOption(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_WEIGHT_KEY(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Weight(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_WeightOption(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeGravityOption_Gravity(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePangoFontName_Families(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePangoFontName_FinalFamily(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePangoFontName_StyleOptionsList(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePostScriptFontName_Alias(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeStretchOption_Stretch(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeStyleOption_Style(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeVariantOption_Variant(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeWeightOption_Weight(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotFontNameProposalProvider

    public AbstractDotFontNameProposalProvider()

### Method Detail

#### completePostScriptFontName_Alias

    public void completePostScriptFontName_Alias(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePangoFontName_Families

    public void completePangoFontName_Families(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePangoFontName_FinalFamily

    public void completePangoFontName_FinalFamily(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePangoFontName_StyleOptionsList

    public void completePangoFontName_StyleOptionsList(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeStyleOption_Style

    public void completeStyleOption_Style(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.Assignment assignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeVariantOption_Variant

    public void completeVariantOption_Variant(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeWeightOption_Weight

    public void completeWeightOption_Weight(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeStretchOption_Stretch

    public void completeStretchOption_Stretch(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeGravityOption_Gravity

    public void completeGravityOption_Gravity(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_FontName

    public void complete_FontName(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PostScriptFontName

    public void complete_PostScriptFontName(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PangoFontName

    public void complete_PangoFontName(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PangoFamily

    public void complete_PangoFamily(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_StyleOptionsElement

    public void complete_StyleOptionsElement(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_StyleOption

    public void complete_StyleOption(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_VariantOption

    public void complete_VariantOption(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_WeightOption

    public void complete_WeightOption(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_StretchOption

    public void complete_StretchOption(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_GravityOption

    public void complete_GravityOption(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Style

    public void complete_Style(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_STYLE_KEY

    public void complete_STYLE_KEY(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Variant

    public void complete_Variant(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_VARIANT_KEY

    public void complete_VARIANT_KEY(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Weight

    public void complete_Weight(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_WEIGHT_KEY

    public void complete_WEIGHT_KEY(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Stretch

    public void complete_Stretch(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_STRETCH_KEY

    public void complete_STRETCH_KEY(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Gravity

    public void complete_Gravity(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_GRAVITY_KEY

    public void complete_GRAVITY_KEY(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PostScriptAlias

    public void complete_PostScriptAlias(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_PSALIAS

    public void complete_PSALIAS(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_StyleOptionString

    public void complete_StyleOptionString(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_SPACE

    public void complete_SPACE(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_OTHER_WS

    public void complete_OTHER_WS(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_INT

    public void complete_INT(org.eclipse.emf.ecore.EObject model,
                             org.eclipse.xtext.RuleCall ruleCall,
                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_NAME

    public void complete_NAME(org.eclipse.emf.ecore.EObject model,
                              org.eclipse.xtext.RuleCall ruleCall,
                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)